> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletes the document from specified transaction

> Removes the document and its files from the transaction. Use this to drop a document that should not be processed before you start the transaction.



## OpenAPI

````yaml /openapi.json delete /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}
openapi: 3.0.1
info:
  title: Vantage processing REST API
  description: >-
    The Vantage Processing REST API lets you process documents programmatically:
    create transactions, upload files, launch skills, monitor progress, and
    download results. For authentication and a first end-to-end request, see the
    [Getting started guide](/vantage/developer/getting-started).
  version: '1.0'
  x-application-version: 1.0.0-20251028.13+6e102d0c2a7a440df9ee9615e09b3c8c333587ac
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}:
    delete:
      tags:
        - TransactionDocuments
      summary: Deletes the document from specified transaction
      description: >-
        Removes the document and its files from the transaction. Use this to
        drop a document that should not be processed before you start the
        transaction.
      operationId: DeleteTransactionDocument
      parameters:
        - name: transactionId
          in: path
          description: Transaction identifier
          required: true
          schema:
            type: string
            format: uuid
        - name: documentId
          in: path
          description: Transaction document identifier
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Transaction document successfully deleted
        '400':
          description: Some parameters are invalid
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
          description: URI reference that identifies the problem type.
        title:
          type: string
          nullable: true
          description: Short, human-readable summary of the problem type.
        status:
          type: integer
          format: int32
          nullable: true
          description: HTTP status code for this occurrence of the problem.
        detail:
          type: string
          nullable: true
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
        instance:
          type: string
          nullable: true
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
      additionalProperties: {}
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````